      PROGRAM example
      IMPLICIT NONE
      REAL*8 x, xmax
      CALL initial                          ! define initial conditions and parameters
      DO WHILE(x .LE. xmax)                 ! repeat whilex less than desired value
         CALL Euler                         ! do one iteration
      END DO
      END
